# Generated by Django 4.2.5 on 2023-10-04 13:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('lesJeux', '0002_jeu_editeur'),
    ]

    operations = [
        migrations.CreateModel(
            name='Editeur',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=250, unique=True)),
                ('date_creation', models.DateField(null=True)),
                ('logo', models.CharField(max_length=250)),
            ],
        ),
        migrations.AlterField(
            model_name='jeu',
            name='date_creation',
            field=models.DateField(null=True),
        ),
        migrations.AlterField(
            model_name='jeu',
            name='nom',
            field=models.CharField(max_length=250, unique=True),
        ),
        migrations.AlterField(
            model_name='jeu',
            name='editeur',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='editeur', to='lesJeux.editeur'),
        ),
    ]
